/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: AddressingEndpointImpl.java 52501 2007-01-24 02:29:49Z lschwenk $
 */

package com.sun.ts.tests.jaxws.mapping.j2wmapping.rpc.literal.withannotations;

import javax.xml.ws.WebServiceException;
import javax.jws.WebService;
import javax.xml.ws.BindingType;
import javax.xml.ws.soap.SOAPBinding;
import javax.xml.ws.soap.Addressing;

@WebService(
    portName="AddressingEndpointPort",
    serviceName="AddressingService",
    targetNamespace="http://rpclitservice.org/wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.mapping.j2wmapping.rpc.literal.withannotations.AddressingEndpoint"
)
@BindingType(value=SOAPBinding.SOAP11HTTP_BINDING)
@Addressing(enabled=true, required=true)
public class AddressingEndpointImpl implements AddressingEndpoint{

    public void address1(String s) 
    {
    }
    public String address2() 
    {
        return "hello";
    }

    public String address3(String s) throws MyFault1
    {
       throw new MyFault1("MyFault1");
    }

    public String address4() throws MyFault1
    {
           throw new MyFault1("MyFault1");
    }

    public String address5(String s) throws MyFault1
    {
           throw new MyFault1("MyFault1");
    }

    public void address6(String s) throws MyFault1
    {
    }

    public String address7() throws MyFault1
    {
       return "hello";
    }
}
